com.sun.grid.jgdi.jni

## Class JGDIBaseImpl

- java.lang.Object
- - com.sun.grid.jgdi.jni.JGDIBaseImpl

- All Implemented Interfaces:
    JGDIBase
  Direct Known Subclasses:
    JGDIImpl

      public abstract class JGDIBaseImpl
      extends java.lang.Object
      implements JGDIBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIBaseImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanQueues(java.lang.String[] queues)` Cleans queue from jobs which haven't been reaped.
    `void` | `cleanQueuesWithAnswer(java.lang.String[] queues, java.util.List<JGDIAnswer> answers)` Cleans queue from jobs which haven't been reaped.
    `void` | `clearJobs(java.lang.String[] jobs, boolean force)` Clears the error state of the specified jobs(s).
    `void` | `clearJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` Clears the error state of the specified jobs(s).
    `void` | `clearQueues(java.lang.String[] queues, boolean force)` Clears the error state of the specified queues(s).
    `void` | `clearQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Clears the error state of the specified queues(s).
    `void` | `clearShareTreeUsage()` Clears all user and project usage from the sharetree.
    `void` | `clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)` Clears all user and project usage from the sharetree.
    `void` | `close()` Close the `JGDI` object.
    `static void` | `closeAllConnections()`
    `void` | `deleteShareTree()` Delete the sharetree Requires root or manager privileges.
    `void` | `deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)` Delete the sharetree Requires root or manager privileges.
    `void` | `disableQueues(java.lang.String[] queues, boolean force)` Disable queue(s), i.e.
    `void` | `disableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Disable queue(s), i.e.
    `void` | `enableQueues(java.lang.String[] queues, boolean force)` Enable queue(s).
    `void` | `enableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Enable queue(s).
    `QHostResult` | `execQHost(QHostOptions options)` Get summary information about cluster hosts.
    `java.lang.String` | `getActQMaster()` Get the hostname of the current qmaster
    `java.lang.String` | `getAdminUser()` Get the admin user
    `java.util.List<ClusterQueueSummary>` | `getClusterQueueSummary(ClusterQueueSummaryOptions options)` Get summary information about cluster queues.
    `QQuotaResult` | `getQQuota(QQuotaOptions options)` Get the limit information.
    `QueueInstanceSummaryResult` | `getQueueInstanceSummary(QueueInstanceSummaryOptions options)` Get summary information abouter queue instances.
    `java.lang.String` | `getSchedulerHost()` Return the host where the SGE scheduler sge_schedd(8) is active or null otherwise
    `java.lang.String` | `getSGECell()` Get the cell of the grid engine
    `int` | `getSgeExecdPort()` Get the SGE_EXECD_PORT of the current qmaster
    `int` | `getSgeQmasterPort()` Get the SGE_QMASTER_PORT of the current qmaster
    `java.io.File` | `getSGERoot()` Get the root directory of the grid engine installation
    `void` | `init(java.lang.String url)`
    `void` | `killAllEventClients()` Used to shutdown event clients all registered at qmaster(8).
    `void` | `killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)` Used to shutdown event clients all registered at qmaster(8).
    `void` | `killAllExecds(boolean terminateJobs)` Send all execution hosts a kill signal.
    `void` | `killAllExecdsWithAnswer(boolean terminateJobs, java.util.List<JGDIAnswer> answers)` Send all execution hosts a kill signal.
    `void` | `killEventClients(int[] ids)` Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)
    `void` | `killEventClientsWithAnswer(int[] ids, java.util.List<JGDIAnswer> answers)` Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)
    `void` | `killExecd(java.lang.String[] hosts, boolean terminateJobs)` Send some execution hosts a kill signal.
    `void` | `killExecdWithAnswer(java.lang.String[] hosts, boolean terminateJobs, java.util.List<JGDIAnswer> answers)` Send some execution hosts a kill signal.
    `void` | `killMaster()` Send the qmaster a kill signal.
    `void` | `killMasterWithAnswer(java.util.List<JGDIAnswer> answers)` Send the qmaster a kill signal.
    `void` | `killScheduler()` Send the schedduler a kill signal.
    `void` | `killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)` Send the schedduler a kill signal.
    `void` | `reschedule(java.lang.String[] queue_or_job, boolean force)` Reschedules all jobs currently running in the queue(s).
    `void` | `rescheduleJobs(java.lang.String[] jobs, boolean force)` If applied to running jobs, reschedules the jobs.
    `void` | `rescheduleJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` If applied to running jobs, reschedules the jobs.
    `void` | `rescheduleQueues(java.lang.String[] queues, boolean force)` Reschedules all jobs currently running in the queue(s).
    `void` | `rescheduleQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Reschedules all jobs currently running in the queue(s).
    `void` | `rescheduleWithAnswer(java.lang.String[] queue_or_job, boolean force, java.util.List<JGDIAnswer> answers)` Reschedules all jobs currently running in the queue(s).
    `static void` | `resetShutdown()`
    `java.lang.String` | `showDetachedSettings(java.lang.String[] queues)` Show the detached settings of a cluster queue Requires root or manager privileges.
    `java.lang.String` | `showDetachedSettingsAll()` Show the detached settings of all cluster queues Requires root or manager privileges.
    `java.lang.String` | `showDetachedSettingsAllWithAnswer(java.util.List<JGDIAnswer> answers)`
    `java.lang.String` | `showDetachedSettingsWithAnswer(java.lang.String[] queues, java.util.List<JGDIAnswer> answers)`
    `void` | `startScheduler()` Send the schedduler a start signal.
    `void` | `startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)` Send the schedduler a kill signal.
    `void` | `suspend(java.lang.String[] queues, boolean force)` Suspend the queues and any jobs which might be active.
    `void` | `suspendJobs(java.lang.String[] jobs, boolean force)` Suspends job(s).
    `void` | `suspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` Suspends job(s).
    `void` | `suspendQueues(java.lang.String[] queues, boolean force)` Suspend the queues and any jobs which might be active.
    `void` | `suspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Suspend the queues and any jobs which might be active.
    `void` | `suspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Suspend the queues and any jobs which might be active.
    `void` | `triggerSchedulerMonitoring()` The SGE scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog.
    `void` | `triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)` The N1 Grid Engine scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog.
    `void` | `unsuspend(java.lang.String[] queues, boolean force)` Unsuspends the queues and any jobs which might be active.
    `void` | `unsuspendJobs(java.lang.String[] jobs, boolean force)` Unsuspends the job(s).
    `void` | `unsuspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)` Unsuspends the job(s).
    `void` | `unsuspendQueues(java.lang.String[] queues, boolean force)` Unsuspends the queues and any jobs which might be active.
    `void` | `unsuspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Unsuspends the queues and any jobs which might be active.
    `void` | `unsuspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)` Unsuspends the queues and any jobs which might be active.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.JGDIBase

      `getRealExecHostList`

- - ### Constructor Detail

    - #### JGDIBaseImpl

          public JGDIBaseImpl()

  - ### Method Detail

    - #### init

          public void init(java.lang.String url)
                    throws JGDIException

      Throws:
        `JGDIException`

    - #### resetShutdown

          public static void resetShutdown()

    - #### closeAllConnections

          public static void closeAllConnections()

    - #### close

          public void close()
                     throws JGDIException

      Description copied from interface: `JGDIBase`
      Close the `JGDI` object. After calling this method the `JGDI` is not longer useable.
      Specified by:
        `close` in interface `JGDIBase`
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSGERoot

          public java.io.File getSGERoot()
                                  throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the root directory of the grid engine installation
      Specified by:
        `getSGERoot` in interface `JGDIBase`
      Returns:
        root directory of the gridengine installation
      Throws:
        `JGDIException`

    - #### getSGECell

          public java.lang.String getSGECell()
                                      throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the cell of the grid engine
      Specified by:
        `getSGECell` in interface `JGDIBase`
      Returns:
        the cell of the grid engine
      Throws:
        `JGDIException`

    - #### getAdminUser

          public java.lang.String getAdminUser()
                                        throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the admin user
      Specified by:
        `getAdminUser` in interface `JGDIBase`
      Returns:
        the admin user
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getActQMaster

          public java.lang.String getActQMaster()
                                         throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the hostname of the current qmaster
      Specified by:
        `getActQMaster` in interface `JGDIBase`
      Returns:
        the hostname of the current qmaster
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSgeQmasterPort

          public int getSgeQmasterPort()
                                throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the SGE_QMASTER_PORT of the current qmaster
      Specified by:
        `getSgeQmasterPort` in interface `JGDIBase`
      Returns:
        the SGE_QMASTER_PORT of the current qmaster
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSgeExecdPort

          public int getSgeExecdPort()
                              throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the SGE_EXECD_PORT of the current qmaster
      Specified by:
        `getSgeExecdPort` in interface `JGDIBase`
      Returns:
        the SGE_EXECD_PORT of the current qmaster
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSchedulerHost

          public java.lang.String getSchedulerHost()
                                            throws JGDIException

      Description copied from interface: `JGDIBase`

      Return the host where the SGE scheduler sge_schedd(8) is active or null otherwise

      The CLI equivialent for this method is `qconf -sss` (see man qconf(1)).

      Specified by:
        `getSchedulerHost` in interface `JGDIBase`
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### execQHost

          public QHostResult execQHost(QHostOptions options)
                                throws JGDIException

      Description copied from interface: `JGDIBase`
      Get summary information about cluster hosts. The CLI equivialent of this method is `qhost` (see man qhost(1)).
      Specified by:
        `execQHost` in interface `JGDIBase`
      Parameters:
        `options` - host summary options
      Returns:
        the `QHostResult` object with the host summary information
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### getClusterQueueSummary

          public java.util.List<ClusterQueueSummary> getClusterQueueSummary(ClusterQueueSummaryOptions options)
                                                                     throws JGDIException

      Description copied from interface: `JGDIBase`
      Get summary information about cluster queues. The CLI equivialent of this method is `qstat -g c` (see man qstat(1)).
      Specified by:
        `getClusterQueueSummary` in interface `JGDIBase`
      Parameters:
        `options` - options the cluster queue summary algorithm
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### getQueueInstanceSummary

          public QueueInstanceSummaryResult getQueueInstanceSummary(QueueInstanceSummaryOptions options)
                                                             throws JGDIException

      Description copied from interface: `JGDIBase`
      Get summary information abouter queue instances. The CLI equivialent of this method is `qstat` (see man qstat(1)).
      Specified by:
        `getQueueInstanceSummary` in interface `JGDIBase`
      Parameters:
        `options` - Options for the queue instance summary algorithm
      Returns:
        the queue instance summary object
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### getQQuota

          public QQuotaResult getQQuota(QQuotaOptions options)
                                 throws JGDIException

      Description copied from interface: `JGDIBase`
      Get the limit information. The CLI equivialent of this method is `qquota` (see man qquota(1)).
      Specified by:
        `getQQuota` in interface `JGDIBase`
      Parameters:
        `options` - qquota summary options
      Returns:
        the `QQuotaResult` object with the qquota summary information
      Throws:
        `JGDIException` - on any error in the GDI layer

    - #### cleanQueuesWithAnswer

          public void cleanQueuesWithAnswer(java.lang.String[] queues,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Description copied from interface: `JGDIBase`

      Cleans queue from jobs which haven't been reaped. Primarily for development purpose. Requires root/manager/operator privileges.

      The CLI equivialent for this method is `qconf -cq` (see man qconf(1)).

      Specified by:
        `cleanQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wild card queue list
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### cleanQueues

          public void cleanQueues(java.lang.String[] queues)
                           throws JGDIException

      Description copied from interface: `JGDIBase`

      Cleans queue from jobs which haven't been reaped. Primarily for development purpose. Requires root/manager/operator privileges.

      The CLI equivialent for this method is `qconf -cq` (see man qconf(1)).

      Specified by:
        `cleanQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wild card queue list
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### unsuspendWithAnswer

          public void unsuspendWithAnswer(java.lang.String[] queues,
                                          boolean force,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Description copied from interface: `JGDIBase`

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Specified by:
        `unsuspendWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspend

          public void unsuspend(java.lang.String[] queues,
                                boolean force)
                         throws JGDIException

      Description copied from interface: `JGDIBase`

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Specified by:
        `unsuspend` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendQueuesWithAnswer

          public void unsuspendQueuesWithAnswer(java.lang.String[] queues,
                                                boolean force,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Description copied from interface: `JGDIBase`

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Specified by:
        `unsuspendQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendQueues

          public void unsuspendQueues(java.lang.String[] queues,
                                      boolean force)
                               throws JGDIException

      Description copied from interface: `JGDIBase`

      Unsuspends the queues and any jobs which might be active.

      The CLI equivialent for this method is `qmod -usq` (see man qmod(1)).

      Specified by:
        `unsuspendQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendJobsWithAnswer

          public void unsuspendJobsWithAnswer(java.lang.String[] jobs,
                                              boolean force,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Description copied from interface: `JGDIBase`

      Unsuspends the job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -usj` (see man qmod(1)).

      Specified by:
        `unsuspendJobsWithAnswer` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### unsuspendJobs

          public void unsuspendJobs(java.lang.String[] jobs,
                                    boolean force)
                             throws JGDIException

      Description copied from interface: `JGDIBase`

      Unsuspends the job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -usj` (see man qmod(1)).

      Specified by:
        `unsuspendJobs` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendWithAnswer

          public void suspendWithAnswer(java.lang.String[] queues,
                                        boolean force,
                                        java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Description copied from interface: `JGDIBase`

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Specified by:
        `suspendWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspend

          public void suspend(java.lang.String[] queues,
                              boolean force)
                       throws JGDIException

      Description copied from interface: `JGDIBase`

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Specified by:
        `suspend` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendQueuesWithAnswer

          public void suspendQueuesWithAnswer(java.lang.String[] queues,
                                              boolean force,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Description copied from interface: `JGDIBase`

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Specified by:
        `suspendQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendQueues

          public void suspendQueues(java.lang.String[] queues,
                                    boolean force)
                             throws JGDIException

      Description copied from interface: `JGDIBase`

      Suspend the queues and any jobs which might be active.

      The CLI equivialent for this method is qmod -sq (see man qmod(1)).

      Specified by:
        `suspendQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendJobsWithAnswer

          public void suspendJobsWithAnswer(java.lang.String[] jobs,
                                            boolean force,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Description copied from interface: `JGDIBase`

      Suspends job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -sj` (see man qmod(1)).

      Specified by:
        `suspendJobsWithAnswer` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard job list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### suspendJobs

          public void suspendJobs(java.lang.String[] jobs,
                                  boolean force)
                           throws JGDIException

      Description copied from interface: `JGDIBase`

      Suspends job(s). If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

      The CLI equivialent for this method is `qmod -sj` (see man qmod(1)).

      Specified by:
        `suspendJobs` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard job list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleJobsWithAnswer

          public void rescheduleJobsWithAnswer(java.lang.String[] jobs,
                                               boolean force,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Description copied from interface: `JGDIBase`

      If applied to running jobs, reschedules the jobs. Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Specified by:
        `rescheduleJobsWithAnswer` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard job range list
        `force` - force the modification action for the job(s)
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleJobs

          public void rescheduleJobs(java.lang.String[] jobs,
                                     boolean force)
                              throws JGDIException

      Description copied from interface: `JGDIBase`

      If applied to running jobs, reschedules the jobs. Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Specified by:
        `rescheduleJobs` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard job range list
        `force` - Force the modification action for the job(s)
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleQueuesWithAnswer

          public void rescheduleQueuesWithAnswer(java.lang.String[] queues,
                                                 boolean force,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Description copied from interface: `JGDIBase`

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Specified by:
        `rescheduleQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleQueues

          public void rescheduleQueues(java.lang.String[] queues,
                                       boolean force)
                                throws JGDIException

      Description copied from interface: `JGDIBase`

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Specified by:
        `rescheduleQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### rescheduleWithAnswer

          public void rescheduleWithAnswer(java.lang.String[] queue_or_job,
                                           boolean force,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Description copied from interface: `JGDIBase`

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Specified by:
        `rescheduleWithAnswer` in interface `JGDIBase`
      Parameters:
        `queue_or_job` - a wildcard queue or job list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### reschedule

          public void reschedule(java.lang.String[] queue_or_job,
                                 boolean force)
                          throws JGDIException

      Description copied from interface: `JGDIBase`

      Reschedules all jobs currently running in the queue(s). Requires root or manager privileges.

      The CLI equivialent for this method is `qmod -r` (see man qmod(1)).

      Specified by:
        `reschedule` in interface `JGDIBase`
      Parameters:
        `queue_or_job` - a wildcard queue or job list
        `force` - Force the modification action for the queue despite the apparent current state of the queue.
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearJobsWithAnswer

          public void clearJobsWithAnswer(java.lang.String[] jobs,
                                          boolean force,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Description copied from interface: `JGDIBase`

      Clears the error state of the specified jobs(s).

      The CLI equivialent for this method is qmod -cj (see man qmod(1)).

      Specified by:
        `clearJobsWithAnswer` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard job list
        `force` - Force the modification action for the job(s)
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearJobs

          public void clearJobs(java.lang.String[] jobs,
                                boolean force)
                         throws JGDIException

      Description copied from interface: `JGDIBase`

      Clears the error state of the specified jobs(s).

      The CLI equivialent for this method is qmod -cj (see man qmod(1)).

      Specified by:
        `clearJobs` in interface `JGDIBase`
      Parameters:
        `jobs` - a wildcard job list
        `force` - Force the modification action for the job(s)
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearQueuesWithAnswer

          public void clearQueuesWithAnswer(java.lang.String[] queues,
                                            boolean force,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Description copied from interface: `JGDIBase`

      Clears the error state of the specified queues(s).

      The CLI equivialent for this method is `qmod -cq`(see man qmod(1)).``

      Specified by:
        `clearQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` -

        Force the modification action for the queue despite the apparent current state of the queue.

        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearQueues

          public void clearQueues(java.lang.String[] queues,
                                  boolean force)
                           throws JGDIException

      Description copied from interface: `JGDIBase`

      Clears the error state of the specified queues(s).

      The CLI equivialent for this method is `qmod -cq`(see man qmod(1)).``

      Specified by:
        `clearQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` -

        Force the modification action for the queue despite the apparent current state of the queue.

      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### disableQueuesWithAnswer

          public void disableQueuesWithAnswer(java.lang.String[] queues,
                                              boolean force,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Description copied from interface: `JGDIBase`

      Disable queue(s), i.e. no further jobs are dispatched to disabled queues while jobs already executing in these queues are allowed to finish.

      The CLI equivialent for this method is `qmod -d`(see man qmod(1)).``

      Specified by:
        `disableQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### disableQueues

          public void disableQueues(java.lang.String[] queues,
                                    boolean force)
                             throws JGDIException

      Description copied from interface: `JGDIBase`

      Disable queue(s), i.e. no further jobs are dispatched to disabled queues while jobs already executing in these queues are allowed to finish.

      The CLI equivialent for this method is `qmod -d`(see man qmod(1)).``

      Specified by:
        `disableQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### enableQueuesWithAnswer

          public void enableQueuesWithAnswer(java.lang.String[] queues,
                                             boolean force,
                                             java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Description copied from interface: `JGDIBase`

      Enable queue(s).

      The CLI equivialent for this method is `qmod -e`(see man qmod(1)).``

      Specified by:
        `enableQueuesWithAnswer` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### enableQueues

          public void enableQueues(java.lang.String[] queues,
                                   boolean force)
                            throws JGDIException

      Description copied from interface: `JGDIBase`

      Enable queue(s).

      The CLI equivialent for this method is `qmod -e`(see man qmod(1)).``

      Specified by:
        `enableQueues` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard queue list
        `force` - force the action
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killAllExecdsWithAnswer

          public void killAllExecdsWithAnswer(boolean terminateJobs,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Description copied from interface: `JGDIBase`
      Send all execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke all` (see man qconf(1)).

      Specified by:
        `killAllExecdsWithAnswer` in interface `JGDIBase`
      Parameters:
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killAllExecds

          public void killAllExecds(boolean terminateJobs)
                             throws JGDIException

      Description copied from interface: `JGDIBase`
      Send all execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke all` (see man qconf(1)).

      Specified by:
        `killAllExecds` in interface `JGDIBase`
      Parameters:
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killExecdWithAnswer

          public void killExecdWithAnswer(java.lang.String[] hosts,
                                          boolean terminateJobs,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Description copied from interface: `JGDIBase`
      Send some execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke` (see man qconf(1)).

      Specified by:
        `killExecdWithAnswer` in interface `JGDIBase`
      Parameters:
        `hosts` - a host name list
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killExecd

          public void killExecd(java.lang.String[] hosts,
                                boolean terminateJobs)
                         throws JGDIException

      Description copied from interface: `JGDIBase`
      Send some execution hosts a kill signal.

      The CLI equivialent for this method is `qconf -ke` (see man qconf(1)).

      Specified by:
        `killExecd` in interface `JGDIBase`
      Parameters:
        `hosts` - a host name list
        `terminateJobs` - if true, all jobs running on the execution hosts are aborted prior to termination of the corresponding sge_execd(8).
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killEventClientsWithAnswer

          public void killEventClientsWithAnswer(int[] ids,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Description copied from interface: `JGDIBase`

      Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)

      Requires root or manager privilege.

      The CLI equivialent for this method is `qconf -secl` (see man qconf(1)).

      Specified by:
        `killEventClientsWithAnswer` in interface `JGDIBase`
      Parameters:
        `ids` - array with the ids of the event clients which should be killed
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killEventClients

          public void killEventClients(int[] ids)
                                throws JGDIException

      Description copied from interface: `JGDIBase`

      Used to shutdown event clients registered at qmaster(8), except special clients like the sge_schedd(8)

      Requires root or manager privilege.

      The CLI equivialent for this method is `qconf -secl` (see man qconf(1)).

      Specified by:
        `killEventClients` in interface `JGDIBase`
      Parameters:
        `ids` - array with the ids of the event clients which should be killed
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### triggerSchedulerMonitoringWithAnswer

          public void triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)
                                                    throws JGDIException

      Description copied from interface: `JGDIBase`

      The N1 Grid Engine scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run.

      Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -tsm` (see man qconf(1)).

      Specified by:
        `triggerSchedulerMonitoringWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### triggerSchedulerMonitoring

          public void triggerSchedulerMonitoring()
                                          throws JGDIException

      Description copied from interface: `JGDIBase`

      The SGE scheduler sge_schedd(8) is forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run.

      Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -tsm` (see man qconf(1)).

      Specified by:
        `triggerSchedulerMonitoring` in interface `JGDIBase`
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### clearShareTreeUsageWithAnswer

          public void clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Description copied from interface: `JGDIBase`

      Clears all user and project usage from the sharetree. All usage will be initialized back to zero.

      The CLI equivialent for this method is `qconf -clearusage` (see man qconf(1)).

      Specified by:
        `clearShareTreeUsageWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException`

    - #### clearShareTreeUsage

          public void clearShareTreeUsage()
                                   throws JGDIException

      Description copied from interface: `JGDIBase`

      Clears all user and project usage from the sharetree. All usage will be initialized back to zero.

      The CLI equivialent for this method is `qconf -clearusage` (see man qconf(1)).

      Specified by:
        `clearShareTreeUsage` in interface `JGDIBase`
      Throws:
        `JGDIException`

    - #### killAllEventClientsWithAnswer

          public void killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Description copied from interface: `JGDIBase`

      Used to shutdown event clients all registered at qmaster(8).

      Specified by:
        `killAllEventClientsWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killAllEventClients

          public void killAllEventClients()
                                   throws JGDIException

      Description copied from interface: `JGDIBase`

      Used to shutdown event clients all registered at qmaster(8).

      Specified by:
        `killAllEventClients` in interface `JGDIBase`
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### killMasterWithAnswer

          public void killMasterWithAnswer(java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Description copied from interface: `JGDIBase`
      Send the qmaster a kill signal.

      The CLI equivialent for this method is `qconf -km` (see man qconf(1)).

      Specified by:
        `killMasterWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killMaster

          public void killMaster()
                          throws JGDIException

      Description copied from interface: `JGDIBase`
      Send the qmaster a kill signal.

      The CLI equivialent for this method is `qconf -km` (see man qconf(1)).

      Specified by:
        `killMaster` in interface `JGDIBase`
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killSchedulerWithAnswer

          public void killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Description copied from interface: `JGDIBase`
      Send the schedduler a kill signal.

      The CLI equivialent for this method is `qconf -ks` (see man qconf(1)).

      Specified by:
        `killSchedulerWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### killScheduler

          public void killScheduler()
                             throws JGDIException

      Description copied from interface: `JGDIBase`
      Send the schedduler a kill signal.

      The CLI equivialent for this method is `qconf -ks` (see man qconf(1)).

      Specified by:
        `killScheduler` in interface `JGDIBase`
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### startSchedulerWithAnswer

          public void startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Description copied from interface: `JGDIBase`
      Send the schedduler a kill signal.

      The CLI equivialent for this method is `qconf -at scheduler` (see man qconf(1)).

      Specified by:
        `startSchedulerWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### startScheduler

          public void startScheduler()
                              throws JGDIException

      Description copied from interface: `JGDIBase`
      Send the schedduler a start signal.

      The CLI equivialent for this method is `qconf -at scheduler` (see man qconf(1)).

      Specified by:
        `startScheduler` in interface `JGDIBase`
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### showDetachedSettingsWithAnswer

          public java.lang.String showDetachedSettingsWithAnswer(java.lang.String[] queues,
                                                                 java.util.List<JGDIAnswer> answers)
                                                          throws JGDIException

      Throws:
        `JGDIException`

    - #### showDetachedSettings

          public java.lang.String showDetachedSettings(java.lang.String[] queues)
                                                throws JGDIException

      Description copied from interface: `JGDIBase`

      Show the detached settings of a cluster queue Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -sds` (see man qconf(1)).

      Specified by:
        `showDetachedSettings` in interface `JGDIBase`
      Parameters:
        `queues` - a wildcard cluster queue list
      Returns:
        the detached settings summary information as a `java.lang.String`
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### showDetachedSettingsAllWithAnswer

          public java.lang.String showDetachedSettingsAllWithAnswer(java.util.List<JGDIAnswer> answers)
                                                             throws JGDIException

      Throws:
        `JGDIException`

    - #### showDetachedSettingsAll

          public java.lang.String showDetachedSettingsAll()
                                                   throws JGDIException

      Description copied from interface: `JGDIBase`

      Show the detached settings of all cluster queues Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -sds` (see man qconf(1)).

      Specified by:
        `showDetachedSettingsAll` in interface `JGDIBase`
      Returns:
        the detached settings summary information as a `java.lang.String`
      Throws:
        `JGDIException`

    - #### deleteShareTree

          public void deleteShareTree()
                               throws JGDIException

      Description copied from interface: `JGDIBase`

      Delete the sharetree Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -dstree` (see man qconf(1)).

      Specified by:
        `deleteShareTree` in interface `JGDIBase`
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

    - #### deleteShareTreeWithAnswer

          public void deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Description copied from interface: `JGDIBase`

      Delete the sharetree Requires root or manager privileges.

      The CLI equivialent for this method is `qconf -dstree` (see man qconf(1)).

      Specified by:
        `deleteShareTreeWithAnswer` in interface `JGDIBase`
      Parameters:
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - JGDIException on any error on the GDI level

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.